function soldot = sysham(t,sol) 
%  systeme hamilonien 
% sol est un vecteur de 3 elements : y p phi
soldot = zeros(3,1) ; 
% calcule le hamiltonien et ses derivee 
[h,gradx,gradp]=ache(t,sol(1),sol(2)) ; 
% le systeme proprement dit 
soldot(1) = gradp ;
soldot(2) = -gradx ;
soldot(3) = sol(2)*gradp- h ; 












